#### Лабораторные работы по курсу RH199 (RHCSA)

***

###### top
*лабораторные работы начинаются с 3-й главы*

3. [Управление локальными пользователями и группами.](#chapter3)
4. [Управление доступом к файлам.](#chapter4)
5. [Настройка SELinux.](#chapter5)
6. [Настройка производительности системы.](#chapter6)
7. [Установка и обновление программного обеспечения.](#chapter7)
8. [Управление локальным хранилищем.](#chapter8)
9. [Настройка сервисов и управление загрузкой процессов.](#chapter9)
10. [Настройка сетевых интерфейсов.](#chapter10)
11. [](#chapter11)
12. [](#chapter12)
13. [](#chapter13)
14. [](#chapter14)
15. [](#chapter15)
16. [](#chapter16)
17. [](#chapter17)

***

###### Chapter3
**Управление локальными пользователями и группами.**

1. Подключиться по ssh к server1
2. У всех вновь создаваемых пользователей пароль необходимо изменять каждые 30 дней.
3. Создать новую группу `consultants` с GID 35000.
4. Настроить административные права членов группы `consultants`, чтобы они могли выполнять любые команды от любых пользователей.
5. Создать пользователей `consultant1`, `consultant2`, и `consultant3` и задать им в качестве дополнительной группы `consultants`.
6. Учётные записи пользователей `consultant1`, `consultant2`, и `consultant3` настроить таким образом, чтобы срок их действия истекал через 90 дней с текущей даты.
7. Изменить политику паролей для учетной записи `consultant2`, чтобы нужно было менять пароль каждые 15 дней.
8. Пользователи `consultant1`, `consultant2`, и `consultant3` при первом входе в систему должны изменить свои пароли в принудительном порядке.

[вверх](#top)

***

###### Chapter4
**Управление доступом к файлам.**

1. На server1 создать директорию `/home/techdocs`.
2. Создать группу `techdocs`, изменить группу владельца директории `/home/techdocs` на группу `techdocs`.
3. Создать пользователей `tech1`, `tech2` и добавить их в группу `techdocs`.
4. Убедиться, что пользователи `tech1`, `tech2` не могут создавать файлы в папке `/home/techdocs`.
5. Для директории `/home/techdocs` установить следующие разрешения: setgid (2), чтение/запись/исполнение для владельца и группы (7), для остальных нет никаких прав (0).
6. Проверить, что разрешения установлены корректно.
7. Проверить, что члены группы `techdocs` (`tech1`, `tech2`) теперь могут создавать и редактировать файлы в директории `/home/techdocs`.
8. Изменить глобальный скрипт загрузки. Обычные пользователи должны иметь umask при которой другие пользователи не смогут просматривать и изменять новые файлы и каталоги.

[вверх](#top)

***

###### Chapter5
**Настройка SELinux.**

1. На server1 запустить браузер и ввести адрес `http://server2/lab.html`. Отобразится сообщение `Forbidden You don't have permission to access this resource.`
2. Изучите и определите проблему SELinux, которая не позволяет Apache обслуживать веб-контент.
3. Отобразите тип контекста SELinux для новой и старой HTML страницы. 
Display the SELinux context of the new HTTP document root and the original HTTP document root. Устраните проблему SELinux, из-за которой Apache не может обслуживать веб-контент.
4. Убедитесь, что проблема SELinux решена и Apache может обслуживать веб-контент.

[вверх](#top)

***

###### Chapter6
**Настройка производительности системы.**

1. Измените текущий профиль для server1 на `balanced`.
2. Два процесса на сервере сильно загружают процессор. Измените приоритет этих процессов на значение 10.
*для запуска тестовых процессов можно использовать такие команды*
```bash
cat /dev/zero >> /dev/null &
cat /dev/zero >> /dev/null &

```

[вверх](#top)

***

###### Chapter7
**Установка и обновление программного обеспечения.**

*Все действия необходимо выполнять на server1*
1. Проверить, находится ли система в активированном состоянии. Если система активирована, необходимо отменить регистрацию и удалить системный репозиторий, который устанавливается при регистрации.
2. Используя полный установочный ISO образ, настроить локальный репозиторий BaseOS и APPSteram. Проверку GPG не использовать.
3. Установить пакет xsane-gimp и модуль PostgreSQL client версии 12.
4. Установить пакет `htop-3.0.5-1.el8.x86_64.rpm` из директории `/home/student`. 
5. Выполнить проверку установленных пакетов и модулей.

[вверх](#top)

***

###### Chapter8
**Управление локальным хранилищем.**

1. На server1 доступны 2 новых диска. На первом диске создайте раздел GPT объемом 2 Гб с именем `backup`. 
2. Отформатируйте созданный раздел в XFS и создайте постоянную точку монтирования в директории `/backup`.
3. На этом же диске создайте два дополнительных раздела по 512 Мб с именами `swap1` и `swap2` соответственно. Укажите корректную метку для этих разделов.
4. Инициализируйте разделы в качестве разделов подкачки, они должны быть активны при загрузке системы. Предусмотрите более высокий приоритет использования раздела `swap2` перед `swap1`.
5. Проверьте свою работу: перезагрузите `server1`, в директории `/backup` должен быть смонтирован XFS раздел размером 2 Гб, а также 2 раздела подкачки общим объемом 1 Гб с более высоким приоритетом использования у раздела `swap2`.

[вверх](#top)

***

###### Chapter9
**Настройка сервисов и управление загрузкой процессов.**

1. На server1 запустить сервис `psacct`.
2. Настроить автозагрузку сервиса `psacct`.
3. Остановить сервис `rsyslog` и удалить его из автозагрузки.
4. Перезагрузить server1 и проверить результат:
- сервис `psacct` должен быть загружен и активен
- сервис `rsyslog` не должен быть активен.

[вверх](#top)

***

###### Chapter10
**Настройка сетевых интерфейсов.**

1. На server1 создать новое сетевое подключение с данными из таблицы:
Параметр       | Значение
:------        | :------
Имя соединения | lab
IP адрес       | 192.168.10.110/24
Gateway        | 192.168.10.9
DNS            | 192.168.10.9

Настроить соединение на автоматическое подключение к сети.

2. На server2 создать новое сетевое подключение с данными из таблицы:
Параметр       | Значение
:------        | :------
Имя соединения | lab
IP адрес       | 192.168.10.111/24
Gateway        | 192.168.10.9
DNS            | 192.168.10.9

Настроить соединение на автоматическое подключение к сети.

3. Перезагрузить server1 и server2
4. Проверить доступность обоих хостов с новыми адресами.

# В ДОКУМЕНТЕ С ОТВЕТАМИ НЕОБХОДИМО ПРЕДУСМОТРЕТЬ КОМАНДЫ ПРОВЕРЯЮЩИЕ ПРАВИЛЬНОСТЬ ВЫПОЛНЕНИЯ ЗАДАНИЙ

[вверх](#top)

***
